Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsPortletMessage

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsPortletMessage

All Implemented Interfaces:
  IStrutsPortletMessage

    public class WpsStrutsPortletMessage

extends java.lang.Object
implements IStrutsPortletMessage

The `WpsStrutsPortletMessage` class is the implementation of the IStrutsPortletMessage interface that can be sent to the WpsStrutsPortlet.

Since:
  4.2

Constructor Summary
`WpsStrutsPortletMessage()` Constructor for the WpsStrutsPortletMessage class.

Method Summary
`java.lang.Object` | `getAttribute()` Returns the object set in the portlet message.
`java.lang.String` | `getConcretePortletName()` Returns the set name of the concrete portlet.
`java.lang.String` | `getStrutsAction()` Returns the Struts action.
`java.lang.String` | `getStrutsForward()` Returns the Struts forward.
`void` | `setAttribute(java.lang.Object attribute)` Sets an attribute that can be passed to the WpsStrutsPortlet.
`void` | `setConcretePortletName(java.lang.String name)` Allows specifying the concrete portlet name for an additional level of filtering.
`void` | `setStrutsAction(java.lang.String action)` Allows specifying the name of the action that will be executed.
`void` | `setStrutsForward(java.lang.String forward)` Allows specifying the name of a Struts forward that will be executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WpsStrutsPortletMessage

    public WpsStrutsPortletMessage()

  Constructor for the WpsStrutsPortletMessage class.

Method Detail

### setAttribute

    public void setAttribute(java.lang.Object attribute)

  Sets an attribute that can be passed to the WpsStrutsPortlet. This attribute can be obtained in a Struts action by get the WpsStrutsConstants.SPF_MESSAGE_ATTRIBUTE from the request object.

  Specified by:
    `setAttribute` in interface `IStrutsPortletMessage`
  Parameters:
    `attribute` - the attribute value

### getAttribute

    public java.lang.Object getAttribute()

  Returns the object set in the portlet message.

  Specified by:
    `getAttribute` in interface `IStrutsPortletMessage`
  Returns:
    returns the attribute, can be `null`

### setConcretePortletName

    public void setConcretePortletName(java.lang.String name)

  Allows specifying the concrete portlet name for an additional level of filtering. The PortletContext send is based on the name of the abstract portlet. If the concrete portlet name is specified then only that portlet will see this message.

  Specified by:
    `setConcretePortletName` in interface `IStrutsPortletMessage`
  Parameters:
    `name` - the concrete portlet name

### getConcretePortletName

    public java.lang.String getConcretePortletName()

  Returns the set name of the concrete portlet.

  Specified by:
    `getConcretePortletName` in interface `IStrutsPortletMessage`
  Returns:
    returns concrete portlet name, can be `null`

### setStrutsAction

    public void setStrutsAction(java.lang.String action)

  Allows specifying the name of the action that will be executed. The action is assumed to be context-relative.

  Specified by:
    `setStrutsAction` in interface `IStrutsPortletMessage`
  Parameters:
    `action` - the Struts action

### getStrutsAction

    public java.lang.String getStrutsAction()

  Returns the Struts action.

  Specified by:
    `getStrutsAction` in interface `IStrutsPortletMessage`
  Returns:
    returns the Struts action, can be `null`

### setStrutsForward

    public void setStrutsForward(java.lang.String forward)

  Allows specifying the name of a Struts forward that will be executed. The forward is assumed to be contextRelative. If the Struts forward and the Struts action are both set then only the action is executed.

  Specified by:
    `setStrutsForward` in interface `IStrutsPortletMessage`
  Parameters:
    `forward` - the Struts forward

### getStrutsForward

    public java.lang.String getStrutsForward()

  Returns the Struts forward.

  Specified by:
    `getStrutsForward` in interface `IStrutsPortletMessage`
  Returns:
    returns the Struts forward, can be `null`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD